Skip to main content
GET
/
api
/
v1
/
contracts
/
results
/
logs
List contracts logs across many contracts on the network
curl --request GET \
  --url https://mainnet.mirrornode.hedera.com/api/v1/contracts/results/logs
import requests

url = "https://mainnet.mirrornode.hedera.com/api/v1/contracts/results/logs"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://mainnet.mirrornode.hedera.com/api/v1/contracts/results/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "logs": [
    {
      "address": "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
      "bloom": "0x549358c4c2e573e02410ef7b5a5ffa5f36dd7398",
      "contract_id": "0.0.2",
      "data": "0x00000000000000000000000000000000000000000000000000000000000000fa",
      "index": 0,
      "topics": [
        "0xf4757a49b326036464bec6fe419a4ae38c8a02ce3e68bf0809674f6aab8ad300"
      ],
      "block_hash": "0x553f9311833391c0a3b2f9ed64540a89f2190a511986cd94889f1c0cf7fa63e898b1c6730f14a61755d1fb4ca05fb073",
      "block_number": 10,
      "root_contract_id": "0.0.2",
      "timestamp": "1586567700.453054000",
      "transaction_hash": "0x397022d1e5baeb89d0ab66e6bf602640610e6fb7e55d78638db861e2c6339aa9",
      "transaction_index": 1
    }
  ],
  "links": {
    "next": null
  }
}
{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}

Query Parameters

index
string

Contract log index

Pattern: ^((eq|gt|gte|lt|lte):)?\d{1,10}$
limit
integer<int32>
default:25

The maximum number of items to return

Required range: 1 <= x <= 100
order
enum<string>
default:desc

The order in which items are listed

Available options:
asc,
desc
timestamp
string[]

The consensus timestamp as a Unix timestamp in seconds.nanoseconds format with an optional comparison operator. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.

Pattern: ^((eq|gt|gte|lt|lte|ne):)?\d{1,10}(\.\d{1,9})?$
topic0
string[]

The first topic associated with a contract log. Requires a timestamp range also be populated.

Pattern: ^(0x)?[0-9A-Fa-f]{1,64}$
topic1
string[]

The second topic associated with a contract log. Requires a timestamp range also be populated.

Pattern: ^(0x)?[0-9A-Fa-f]{1,64}$
topic2
string[]

The third topic associated with a contract log. Requires a timestamp range also be populated.

Pattern: ^(0x)?[0-9A-Fa-f]{1,64}$
topic3
string[]

The fourth topic associated with a contract log. Requires a timestamp range also be populated.

Pattern: ^(0x)?[0-9A-Fa-f]{1,64}$
transaction.hash
string

A hex encoded 32-byte ethereum transaction hash or 48-byte hedera transaction hash.

Pattern: ^(eq:)?(0x)?([0-9A-Fa-f]{64}|[0-9A-Fa-f]{96})$

Response

OK

logs
object[]